CSI(1)

-.

NAME
The Chicken Scheme interpreter

SYNOPSIS
csi [ pathname | option ... ]

DESCRIPTION
csi is an interpreter for the programming language Scheme supporting most of the features as described in the Revised^5 Report on the Algorithmic Language Scheme . csi is implemented as a program compiled with the chicken compiler.

OPTIONS

--  Ignore everything on the command-line following this marker. Runtime options -... are still recognized.

-i -case-insensitive
    Enables the reader to read symbols case-insensitive. The default is to read case-sensitive (in violation of R5RS). This option registers the case-insensitive feature identifier.

-b -batch
    Quit the interpreter after processing all command line options.

-e -eval expressions
    Evaluate expressions .

-p -print expressions
    Evaluate expressions and print result(s) .

-P -pretty-print expressions
    Evaluate expressions and pretty-print result(s) . -D -feature symbol Registers symbol to be a valid feature identifier for cond-expand

-h -help
    Write a summary of the available command line options to standard ouput and exit.

-I -include-path pathname
    Specifies an alternative search-path for files included via the include special form. This option may be given multiple times. If the environment variable CHICKEN_INCLUDE_PATH is set, it should contain a list of alternative include pathnames separated by ; .

-k -keyword-stylestyle
    Enables alternative keyword syntax, where style may be either prefix (as in Common Lisp), suffix (as in DSSSL) or none Any other value is ignored. The default is exttt{suffix}.

-n -no-init
    Do not load the initialization-file ~/.csirc . If this option is not given and the file ~/.csirc exists, then it is loaded before the read-eval-print loop commences.

-w -no-warnings
    Disables any warnings that might be issued by the reader or evaluated code.

-q -quiet
    Do not print a startup message.

-s -script pathname
    This is equivalent to -batch -quiet pathname , but also ignores all arguments after the argument following -script

-sx pathname
    Similar to -script but invokes prints each expression before it is evaluated,

-ss pathname
    Similar to -script but invokes the procedure main after loading the file specified by pathname with a single argument (the list of command line arguments) returning any result as status code.

-R -require-extension name
    Require extension for evaluated code.

-v -version
    Write the banner with version information to standard output and exit.

ENVIRONMENT VARIABLES

CHICKEN_INCLUDE_PATH
    Contains one or more pathnames where the interpreter should also look for include-files, separated by ; characters.

CHICKEN_PREFIX
    Is used as a prefix directory for support files, include-files and libraries.

CSI_OPTIONS
    When set to a string of command-line options, then the options are passed implicitly to every direct or indirect invocation of csi
    Note that runtime options of the form -... can not be passed using this method.

DOCUMENTATION
More information can be found in the Chicken User's Manual

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org , preferrably using the chicken-bug tool.

AUTHOR
Felix Winkelmann and the Chicken Team

SEE ALSO
chicken(1) chicken-bug(1)